<app-main-drawer [title]="'Gestion du compte'">
    <div class="loading-bloc" *ngIf="loading">
        <img src="../../../assets/loading.gif" alt="loader" height="130px" width="120px" />
    </div>
    <mat-tab-group>
        <mat-tab label="Informations générales">
            <div class="bloc-content d-flex">

                <div class="bloc-edit">
                    <div class="d-flex" style="gap: 10px;">
                        <div>
                            <mat-form-field appearance="outline">
                                <mat-label>Email</mat-label>
                                <input matInput placeholder="Email" [(ngModel)]="user.Email">
                            </mat-form-field>
                        </div>

                        <div>
                            <mat-form-field appearance="outline">
                                <mat-label>Nom</mat-label>
                                <input matInput placeholder="Nom" [(ngModel)]="user.FirstName">
                            </mat-form-field>
                        </div>
                        <div>
                            <div>
                                <mat-form-field appearance="outline">
                                    <mat-label>Prénom</mat-label>
                                    <input matInput placeholder="Prénom" [(ngModel)]="user.LastName">
                                </mat-form-field>
                            </div>
                        </div>
                    </div>
                    <div class="d-flex" style="gap: 10px;">
                        <div *ngIf="!showPasswordInput">
                            <button mat-flat-button (click)="showPasswordInput = true">modifier mon mot de
                                passe</button>
                        </div>
                        <div *ngIf="showPasswordInput">
                            <mat-form-field appearance="outline">
                                <mat-label>Mot de passe</mat-label>
                                <input matInput [type]="passwordType" placeholder="Mot de passe"
                                    [(ngModel)]="user.Password">
                                <mat-icon fontSet="material-symbols-rounded" matSuffix (click)="showHidePassword()"
                                    style="cursor: pointer;">{{ passwordType == "text" ? 'visibility' :
                                    'visibility_off' }}
                                </mat-icon>
                            </mat-form-field>
                        </div>
                    </div>

                </div>


            </div>
        </mat-tab>
        <mat-tab label="Rôle">
            <div class="bloc-content d-flex">

                <div class="bloc-edit">
                    <h2>Rôle</h2>
                    <div class="auto-list">
                        <!-- <ng-container *ngIf="user.Agency?.Vehicles?.length; else noAuto">
                            <div class="d-flex" style="gap: 10px;" *ngFor="let item of user.Agency?.Vehicles">
                                <div>
                                    <mat-form-field appearance="outline">
                                        <mat-label>Matricule</mat-label>
                                        <input matInput placeholder="Matricule" [(ngModel)]="item.Matricule">
                                    </mat-form-field>
                                </div>

                                <div>
                                    <mat-form-field appearance="outline">
                                        <mat-label>Nb. Place</mat-label>
                                        <input matInput placeholder="Nb. Place" [(ngModel)]="item.NbPlace">
                                    </mat-form-field>
                                </div>
                            </div>
                        </ng-container>

                        <ng-template #noAuto>
                            <div>
                                Vous n'avez ajouté encore aucun automobile.
                            </div>
                        </ng-template> -->
                    </div>


                    <!--  <div>
                        <button mat-flat-button color="primary" (click)="onAddAuto()">Ajouter un auto</button>
                    </div> -->

                </div>


            </div>
        </mat-tab>
    </mat-tab-group>

    <div style="margin-top: 50px;">
        <button class="large-btn" mat-flat-button color="primary" (click)="saveUser()">Enregistrer</button>
    </div>

</app-main-drawer>